himitsu.ini(5)

# NAME

himitsu-ssh.ini - configuration file for *himitsu-ssh*(7)

# FILE FORMAT

The himitsu-ssh configuration file is an INI file. Each set of options is
grouped into sections, which are indicated by the section name surrounded by
square brackets (e.g. [remember]) on a line. Following each section, a set of
key/value pairs belonging to that section are provided. The keys are separated
from the values by an equal symbol (*=*).

# APPLICATION USAGE

The set of configuration parameters recognized by the himitsu-ssh distribution
are specified below.

## REMEMBER

Options related to remembering consent are placed into the [remember] section.
The available options are:

*persist*
	A comma separated list of _remember options_ that are passed to the
	prompter when requesting persistent access to the _proto=ssh_ query.
	Leaving this option blank is equivalent to _skip_ and will cause the
	agent to skip this request.
	
	Possible options are _session_, _skip_, _refuse_ or a timeout in seconds
	as integer. _session_ will remember consent until himitsu or hissh-agent
	terminates. _skip_ will postpone the decision until the next prompt and
	_refuse_ will deny the request and future requests won't be shown.

	The first value will be considered as the default one by the prompter.

	Default value, if the option is omitted: *session,300,refuse*

*disclose*
	A comma separated list of _remember options_ that are passed to the when
	requesting private key disclosure (e.g.: in signing operations). Leave
	blank, if not applicable.

	Uses the same syntax as the *persist* option.

	Default value, if the option is omitted: *skip,session,300*

# EXAMPLE

The following example skips remembering

```
[remember]
persist=skip
disclose=skip
```

# SEE ALSO

*himitsu-ssh*(7) *himitsu-ipc*(5)

# AUTHORS

Maintained by Drew DeVault <sir@cmpwn.com>, who is assisted by other
contributors. Up-to-date source code can be found at
https://git.sr.ht/~sircmpwn/himitsu, and bugs/patches can be submitted by email
to ~sircmpwn/himitsu-devel@lists.sr.ht.
