hissh-agent(1)

# NAME

hissh-agent implements an SSH agent which provides access to SSH keys stored in
a *himitsu*(7) key store.

# SYNOPSIS

*hissh-agent*

# DESCRIPTION

The *hissh-agent* command will place an SSH agent socket at
$XDG_RUNTIME_DIR/hissh-agent. The user should set the *SSH_AUTH_SOCK*
environment variable to this path.

```
hissh-agent &
export SSH_AUTH_SOCK=$XDG_RUNTIME_DIR/hissh-agent
```

SSH keys stored in the Himitsu key store will be provided automatically. To add
new keys, see *hissh-import*(1). It is recommended to run these commands for
your entire session using a suitable system-specific service manager or startup
script.

The agent can be configured using a *himitsu-ssh.ini*(5) config file stored in
$XDG_CONFIG_HOME/himitsu-ssh/config.ini.

# SEE ALSO

*hissh-import*(1), *hissh-export*(1) *himitsu-ssh.ini*(5)

# AUTHORS

Maintained by Drew DeVault <sir@cmpwn.com>, who is assisted by other
contributors. Up-to-date source code can be found at
https://git.sr.ht/~sircmpwn/himitsu-ssh, and bugs/patches can be submitted by
email to ~sircmpwn/himitsu-devel@lists.sr.ht.
